aboutsummaryrefslogtreecommitdiff
path: root/src/laptop-mode-tools/laptop-mode
diff options
context:
space:
mode:
Diffstat (limited to 'src/laptop-mode-tools/laptop-mode')
-rwxr-xr-xsrc/laptop-mode-tools/laptop-mode57
1 files changed, 57 insertions, 0 deletions
diff --git a/src/laptop-mode-tools/laptop-mode b/src/laptop-mode-tools/laptop-mode
new file mode 100755
index 0000000..a0ddb9c
--- /dev/null
+++ b/src/laptop-mode-tools/laptop-mode
@@ -0,0 +1,57 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+ start)
+ stat_busy "Starting laptop-mode"
+ [ ! -d /var/run/laptop-mode-tools ] && install -d /var/run/laptop-mode-tools
+ touch /var/run/laptop-mode-tools/enabled
+ /usr/sbin/laptop_mode auto >/dev/null 2>&1
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon laptop-mode
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping laptop-mode"
+ rm -f /var/run/laptop-mode-tools/enabled
+ /usr/sbin/laptop_mode stop >/dev/null 2>&1
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon laptop-mode
+ stat_done
+ fi
+ ;;
+ restart)
+ stat_busy "Restarting laptop-mode"
+ rm -f /var/run/laptop-mode-tools/enabled
+ /usr/sbin/laptop_mode stop >/dev/null 2>&1
+
+ if [ $? -gt 0 ]; then
+ stat_fail
+ rm_daemon laptop-mode
+ else
+ rm -f /var/run/laptop-mode-tools/*
+ touch /var/run/laptop-mode-tools/enabled
+ /usr/sbin/laptop_mode auto force >/dev/null 2>&1
+ if [ $? -gt 0 ]; then
+ stat_fail
+ rm_daemon laptop-mode
+ else
+ stat_done
+ fi
+ fi
+ ;;
+ status)
+ /usr/sbin/laptop_mode status
+ ;;
+ *)
+ echo "Usage: $0 {stop|start|restart|status}"
+ ;;
+esac
+exit 0